## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ForExpImpl

    java.lang.Object
      LoopExpImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeLoopExpImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ForExpImpl

All Implemented Interfaces:
  ForExp, ImperativeExpression, ImperativeLoopExp

    public class ForExpImpl

extends ImperativeLoopExpImpl
implements ForExp

An implementation of the model object 'For Exp'.

Field Summary

Fields inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeLoopExpImpl
`condition`

Constructor Summary
`protected` `ForExpImpl()`

Method Summary

`

`<T,U extends <any>> T`

`

`accept(U v)`

`protected EClass` `eStaticClass()`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeLoopExpImpl
`basicSetCondition, eGet, eInverseRemove, eIsSet, eSet, eUnset, getCondition, setCondition, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.ImperativeLoopExp
`getCondition, setCondition`

Constructor Detail

### ForExpImpl

    protected ForExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeLoopExpImpl`

### accept

    public <T,U extends <any>> T accept(U v)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.